libqxp::ParagraphSpec Struct Reference

`#include <QXPTypes.h>`

Inheritance diagram for libqxp::ParagraphSpec:

## Public Member Functions

| ParagraphSpec (const std::shared_ptr< ParagraphFormat > &f, unsigned start, unsigned len)
Public Member Functions inherited from libqxp::TextSpec
unsigned | endIndex () const
unsigned | afterEndIndex () const
bool | overlaps (const TextSpec &other) const

## Public Attributes

std::shared_ptr< ParagraphFormat > | format
Public Attributes inherited from libqxp::TextSpec
const unsigned | startIndex
const unsigned | length

## Additional Inherited Members

Protected Member Functions inherited from libqxp::TextSpec
| TextSpec (unsigned start, unsigned len)

## Constructor & Destructor Documentation

## ParagraphSpec()

libqxp::ParagraphSpec::ParagraphSpec | ( | const std::shared_ptr< ParagraphFormat > & | f,
|  | unsigned | start,
|  | unsigned | len )

inline

## Member Data Documentation

## format

std::shared_ptr<ParagraphFormat> libqxp::ParagraphSpec::format

Referenced by ParagraphSpec().

The documentation for this struct was generated from the following file:

- QXPTypes.h